org.apache.lucene.util

## Class ByteBlockPool.Allocator

- java.lang.Object
- - org.apache.lucene.util.ByteBlockPool.Allocator

Direct Known Subclasses:
  ByteBlockPool.DirectAllocator, ByteBlockPool.DirectTrackingAllocator, RecyclingByteBlockAllocator

Enclosing class:
  ByteBlockPool

    public abstract static class ByteBlockPool.Allocator
    extends Object

Abstract class for allocating and freeing byte blocks.

### Field Summary

Fields
`protected int` `blockSize`

### Constructor Summary

Constructors
Constructor and Description
`ByteBlockPool.Allocator(int blockSize)`

### Method Summary

Methods
`byte[]` `getByteBlock()`
`abstract void` `recycleByteBlocks(byte[][] blocks, int start, int end)`
`void` `recycleByteBlocks(List<byte[]> blocks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### blockSize

    protected final int blockSize

### Constructor Detail

#### ByteBlockPool.Allocator

    public ByteBlockPool.Allocator(int blockSize)

### Method Detail

#### recycleByteBlocks

    public abstract void recycleByteBlocks(byte[][] blocks,
                         int start,
                         int end)

#### recycleByteBlocks

    public void recycleByteBlocks(List<byte[]> blocks)

#### getByteBlock

    public byte[] getByteBlock()